@echo off
if "%1"=="" goto paramerr

killer /F %1 %2 %3 %4

if ERRORLEVEL 4 goto errnone
if ERRORLEVEL 3 goto errdel
if ERRORLEVEL 2 goto errpath
if ERRORLEVEL 1 goto errwff

echo It's all right!
goto noerr

:errwff
echo Error while loading file masks!
echo Maybe the specified file does not exist or it is corrupted.
goto noerr

:errdel
echo Error while killing the files!
echo Maybe some files were in use by the system or other applications.
goto noerr

:errnone
echo No files were found that match specified masks!
echo Try other masks or another target directory.
goto noerr

:errpath
echo Error in the target directory!
echo Maybe the specified path does not exist or it is a network path.
goto noerr

:paramerr
echo At least one argument is required: WFF file missing!
echo.
echo Syntax: WFKILLER wff-file [path] [/U] [/Q [/P]]
echo.
echo wff-file    contains the masks the files to be killed must match 
echo path        the complete path to search in, subfolders included
echo             (default is current directory)
echo /U          permanently delete the files (not in Recycle Bin)
echo /Q          doesn't require user interaction and doesn't show any window
echo /P          forces the program to show the progress

:noerr
echo.
